
Cognitive Interaction Toolkit - Feature #287

Read branches out of git to reduce versioning efford.

2014-09-18 15:17 - Marian Pohling

Status: New Start date: 2014-09-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Recipe Estimated time: 0.00 hour

Target version: Toolkit 0.1 Spent time: 0.10 hour

Description

Would it be possible to read the "branches"/"tags" direktly out the git repo instead of listing all branches explicit in the recipe file

again.

History

#1 - 2014-09-29 10:34 - Florian Lier

- Target version changed from Toolkit 0.3 to Toolkit 0.1

- % Done changed from 0 to 10

I believe the build gen already does that, if I am correct.

#2 - 2015-03-18 10:40 - Johannes Wienke

Nope, right now things need to be specified. Changes to this are planned, though.

#3 - 2015-03-18 10:40 - Johannes Wienke

- % Done changed from 10 to 0

#4 - 2015-08-26 09:28 - Florian Lier

Status?

#5 - 2016-04-08 15:17 - Jan Moringen

Florian Lier wrote:

Status?

 

The new generator architecture will have a solution for this.

In der neuen Generator-Architektur haben ich dafür meiner Ansicht nach

eine gute Lösung gefunden. Im "versions"-Abschnitt kann man zusätzlich

zu konkreten Namen auch bestimmte Muster definieren, gegen die

angeforderte Versionen dann abgeglichen werden. Z.B. kann ein Abschnitt

mit Muster

"release-([0-9]+)\.([0-9]+)"
